Browse Source

move pal_loader to Runtime. finding manifest.sgx from manifest

Chia-Che Tsai 7 years ago
parent
commit
2d4bfeeb29
1 changed files with 41 additions and 0 deletions
  1. 41 0
      Runtime/pal_loader

+ 41 - 0
Runtime/pal_loader

@@ -0,0 +1,41 @@
+#!/bin/bash
+
+RUNTIME_DIR=$(/usr/bin/dirname $(readlink -f ${BASH_SOURCE[0]}))
+PAL_HOST=$(/usr/bin/make --quiet -f $RUNTIME_DIR/../Pal/src/Makefile.Host print_host 2>&1)
+
+MANIFEST=
+GDB_CMD=
+PAL_CMD=$RUNTIME_DIR/pal-$PAL_HOST
+
+if [ "$GDB" == "1" ]; then
+	GDB="/usr/bin/gdb"
+fi
+
+if [ "$GDB" != "" ] && [ "$GDB" != "0" ]; then
+	GDB_CMD="$GDB --args"
+fi
+
+if [ "$SEC" == "1" ]; then
+	echo "Use reference monitor"
+	PAL_CMD=$RUNTIME_DIR/pal_sec-$PAL_HOST
+fi
+
+while [ "$1" != "" ];
+do
+	if [ "$MANIFEST" == "" ]; then
+		MANIFEST=$1
+		shift
+		continue
+	fi
+
+	break
+done
+
+if [ ! -f "$PAL_CMD" ]; then
+	echo "$PAL_CMD is not built, or security mode is not supported"
+	exit 1
+fi
+
+set -x
+
+exec $GDB_CMD $PAL_CMD $MANIFEST "$@"